# Copyright (C) 2010 W. Trevor King <wking@drexel.edu>
#
# This file is part of Hooke.
#
# Hooke is free software: you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation, either
# version 3 of the License, or (at your option) any later version.
#
# Hooke is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with Hooke.  If not, see
# <http://www.gnu.org/licenses/>.

    #PLOT EXPORT AND MANIPULATION COMMANDS
    def help_export(self):
        print '''
EXPORT
Saves the current plot as an image file
---------------
Syntax: export [filename] {plot to export}

The supported formats are PNG and EPS; the file extension of the filename is automatically recognized
and correctly exported. Resolution is (for now) fixed at 150 dpi.

If you have a multiple plot, the optional plot to export argument tells Hooke which plot you want to export. If 0, the top plot is exported. If 1, the bottom plot is exported (Exporting both plots is still to implement)
        '''
    def do_export(self,args):
        #FIXME: the bottom plot doesn't have the title

        dest=0

        if len(args)==0:
            #FIXME: We have to go into the libinput stuff and fix it, for now here's a dummy replacement...
            #name=linp.safeinput('Filename?',[self.current.path+'.png'])
            name=raw_input('Filename? ')
        else:
            args=args.split()
            name=args[0]
            if len(args) > 1:
                dest=int(args[1])

        export_image=self.list_of_events['export_image']
        wx.PostEvent(self.frame, export_image(name=name, dest=dest))
